Loading...
Searching...
No Matches
caf::stream_slots Struct Reference

Maps two stream_slot values into a pair for storing sender and receiver slot information. More...

`#include <stream_slot.hpp>`

Inheritance diagram for caf::stream_slots:

## Public Member Functions

constexpr | stream_slots (stream_slot sender_slot, stream_slot receiver_slot)
constexpr stream_slots | invert () const
| Returns an inverted pair, i.e., swaps sender and receiver slot.
long | compare (stream_slots other) const noexcept

## Public Attributes

stream_slot | sender
stream_slot | receiver

## Related Symbols

(Note that these are not member symbols.)
template<class Inspector>
Inspector::result_type | inspect (Inspector &f, stream_slots &x)

## Detailed Description

Maps two stream_slot values into a pair for storing sender and receiver slot information.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/stream_slot.hpp